cabin(1)

NAME
cabin - A package manager and build system for C/C++

SYNOPSIS
cabin [-v|--verbose]... [-q|--quiet] [--color] [--list] [-Z ] [-V|--version] [-h|--help] [subcommands]

DESCRIPTION
A package manager and build system for C/C++

OPTIONS

-v, --verbose
    Use verbose output (-vv very verbose output)

-q, --quiet
    Do not print cabin log messages

--color <WHEN>
    Coloring: auto, always, never [default: auto]

--list
    List installed commands

-Z <FEATURE>
    Enable an experimental feature (may be repeated)

-V, --version
    Print version info and exit

-h, --help
    Print help

SUBCOMMANDS

cabin-init(1)
    Create a new cabin package in an existing directory

cabin-new(1)
    Create a new cabin package

cabin-add(1)
    Add a dependency to a cabin.toml manifest file

cabin-remove(1)
    Remove a dependency from a cabin.toml manifest file

cabin-build(1)
    Compile a local package and all of its dependencies

cabin-check(1)
    Check a local package and its dependencies for errors

cabin-clean(1)
    Remove the built directory

cabin-run(1)
    Run a binary of the local package

cabin-test(1)
    Run the tests of a local package

cabin-update(1)
    Update dependencies as recorded in `cabin.lock`

cabin-publish(1)
    Publish a package to a local file registry

cabin-fmt(1)
    Format codes using clang-format

cabin-tidy(1)
    Run clang-tidy

cabin-port(1)
    List or inspect bundled foundation-port recipes

cabin-version(1)
    Show version information

cabin-help(1)
    Print this message or the help of the given subcommand(s)